# Security API: Users

## GET /api/security/users-connections/{from}/{to}

> Retrieves one specific user connection

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"UserConnectionModel":{"type":"object","properties":{"fromUserId":{"type":"string","format":"uuid"},"toUserId":{"type":"string","format":"uuid"},"isLeader":{"type":"boolean"},"isManager":{"type":"boolean"},"isSupervisor":{"type":"boolean"},"isValidator":{"type":"boolean"},"connected":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/security/users-connections/{from}/{to}":{"get":{"tags":["Security API: Users"],"summary":"Retrieves one specific user connection","operationId":"retrieveUserConnection","parameters":[{"name":"fromUser","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"toUser","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"from","in":"path","required":true,"schema":{"type":"string"}},{"name":"to","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConnectionModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserConnectionModel"}}}}}}}}}
```

## HEAD /api/security/users-connections/{from}/{to}

> Checks for the existence of one specific user connection

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/security/users-connections/{from}/{to}":{"head":{"tags":["Security API: Users"],"summary":"Checks for the existence of one specific user connection","operationId":"assertUserConnection","parameters":[{"name":"fromUser","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"toUser","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"from","in":"path","required":true,"schema":{"type":"string"}},{"name":"to","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/security/users-connections/collect

> Collects the list of user connections that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUserConnections":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"isLeader":{"type":"boolean","nullable":true},"isManager":{"type":"boolean","nullable":true},"isSupervisor":{"type":"boolean","nullable":true},"isValidator":{"type":"boolean","nullable":true},"connected":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserConnectionModel":{"type":"object","properties":{"fromUserId":{"type":"string","format":"uuid"},"toUserId":{"type":"string","format":"uuid"},"isLeader":{"type":"boolean"},"isManager":{"type":"boolean"},"isSupervisor":{"type":"boolean"},"isValidator":{"type":"boolean"},"connected":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/security/users-connections/collect":{"post":{"tags":["Security API: Users"],"summary":"Collects the list of user connections that match specific criteria","operationId":"collectUserConnections","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserConnectionModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserConnectionModel"}}}}}}}}}}
```

## POST /api/security/users-connections/count

> Counts the user connections that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountUserConnections":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"isLeader":{"type":"boolean","nullable":true},"isManager":{"type":"boolean","nullable":true},"isSupervisor":{"type":"boolean","nullable":true},"isValidator":{"type":"boolean","nullable":true},"connected":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-connections/count":{"post":{"tags":["Security API: Users"],"summary":"Counts the user connections that match specific criteria","operationId":"countUserConnections","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountUserConnections"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountUserConnections"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountUserConnections"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountUserConnections"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/security/users-connections/download

> Downloads the list of user connections that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUserConnections":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"isLeader":{"type":"boolean","nullable":true},"isManager":{"type":"boolean","nullable":true},"isSupervisor":{"type":"boolean","nullable":true},"isValidator":{"type":"boolean","nullable":true},"connected":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-connections/download":{"post":{"tags":["Security API: Users"],"summary":"Downloads the list of user connections that match specific criteria","operationId":"downloadUserConnections","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUserConnections"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/security/users-connections/search

> Searches for the list of user connections that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchUserConnections":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"isLeader":{"type":"boolean","nullable":true},"isManager":{"type":"boolean","nullable":true},"isSupervisor":{"type":"boolean","nullable":true},"isValidator":{"type":"boolean","nullable":true},"connected":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserConnectionMatch":{"type":"object","properties":{"fromUserId":{"type":"string","format":"uuid"},"toUserId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/security/users-connections/search":{"post":{"tags":["Security API: Users"],"summary":"Searches for the list of user connections that match specific criteria","operationId":"searchUserConnections","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchUserConnections"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchUserConnections"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchUserConnections"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchUserConnections"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserConnectionMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserConnectionMatch"}}}}}}}}}}
```

## GET /api/security/users/{user}

> Retrieves one specific user

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"UserModel":{"type":"object","properties":{"userId":{"type":"string","format":"uuid"},"accessGrantedToCmds":{"type":"boolean"},"multiFactorAuthentication":{"type":"boolean"},"defaultPassword":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"emailAlternate":{"type":"string","nullable":true},"emailVerified":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true},"honorific":{"type":"string","nullable":true},"imageUrl":{"type":"string","nullable":true},"initials":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"loginOrganizationCode":{"type":"string","nullable":true},"middleName":{"type":"string","nullable":true},"multiFactorAuthenticationCode":{"type":"string","nullable":true},"oAuthProviderUserId":{"type":"string","nullable":true},"oldUserPasswordHash":{"type":"string","nullable":true},"phoneMobile":{"type":"string","nullable":true},"soundexFirstName":{"type":"string","nullable":true},"soundexLastName":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true},"userPasswordHash":{"type":"string","nullable":true},"primaryLoginMethod":{"type":"integer","format":"int32","nullable":true},"secondaryLoginMethod":{"type":"integer","format":"int32","nullable":true},"userPasswordChangeRequested":{"type":"integer","format":"int32","nullable":true},"accountCloaked":{"type":"string","format":"date-time","nullable":true},"defaultPasswordExpired":{"type":"string","format":"date-time","nullable":true},"userLicenseAccepted":{"type":"string","format":"date-time","nullable":true},"userPasswordChanged":{"type":"string","format":"date-time","nullable":true},"userPasswordExpired":{"type":"string","format":"date-time"},"utcArchived":{"type":"string","format":"date-time","nullable":true},"utcUnarchived":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users/{user}":{"get":{"tags":["Security API: Users"],"summary":"Retrieves one specific user","operationId":"retrieveUser","parameters":[{"name":"user","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModel"}}}}}}}}}
```

## HEAD /api/security/users/{user}

> Checks for the existence of one specific user

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/security/users/{user}":{"head":{"tags":["Security API: Users"],"summary":"Checks for the existence of one specific user","operationId":"assertUser","parameters":[{"name":"user","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/security/users/collect

> Collects the list of users that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUsers":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"userEmailExact":{"type":"string","nullable":true},"userFullNameContains":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserMatch":{"type":"object","properties":{"userId":{"type":"string","format":"uuid"},"fullName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users/collect":{"post":{"tags":["Security API: Users"],"summary":"Collects the list of users that match specific criteria","operationId":"collectUsers","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserMatch"}}}}}}}}}}
```

## POST /api/security/users/count

> Counts the users that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountUsers":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"userEmailExact":{"type":"string","nullable":true},"userFullNameContains":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users/count":{"post":{"tags":["Security API: Users"],"summary":"Counts the users that match specific criteria","operationId":"countUsers","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountUsers"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountUsers"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountUsers"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountUsers"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/security/users/download

> Downloads the list of users that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUsers":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"userEmailExact":{"type":"string","nullable":true},"userFullNameContains":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users/download":{"post":{"tags":["Security API: Users"],"summary":"Downloads the list of users that match specific criteria","operationId":"downloadUsers","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUsers"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/security/users/search

> Searches for the list of users that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchUsers":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"userEmailExact":{"type":"string","nullable":true},"userFullNameContains":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserMatch":{"type":"object","properties":{"userId":{"type":"string","format":"uuid"},"fullName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users/search":{"post":{"tags":["Security API: Users"],"summary":"Searches for the list of users that match specific criteria","operationId":"searchUsers","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchUsers"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchUsers"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchUsers"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchUsers"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserMatch"}}}}}}}}}}
```

## GET /api/security/users-sessions/{session}

> Retrieves one specific user session

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"UserSessionModel":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"sessionIsAuthenticated":{"type":"boolean"},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time"},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions/{session}":{"get":{"tags":["Security API: Users"],"summary":"Retrieves one specific user session","operationId":"retrieveUserSession","parameters":[{"name":"session","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSessionModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserSessionModel"}}}}}}}}}
```

## PUT /api/security/users-sessions/{session}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyUserSession":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"sessionIsAuthenticated":{"type":"boolean"},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time"},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/security/users-sessions/{session}":{"put":{"tags":["Security API: Users"],"operationId":"modifyUserSession","parameters":[{"name":"session","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyUserSession"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyUserSession"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyUserSession"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyUserSession"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/security/users-sessions/{session}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/security/users-sessions/{session}":{"delete":{"tags":["Security API: Users"],"operationId":"deleteUserSession","parameters":[{"name":"session","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/security/users-sessions/{session}

> Checks for the existence of one specific user session

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/security/users-sessions/{session}":{"head":{"tags":["Security API: Users"],"summary":"Checks for the existence of one specific user session","operationId":"assertUserSession","parameters":[{"name":"session","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/security/users-sessions/collect

> Collects the list of user sessions that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUserSessions":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"sessionIsAuthenticated":{"type":"boolean","nullable":true},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time","nullable":true},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserSessionModel":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"sessionIsAuthenticated":{"type":"boolean"},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time"},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions/collect":{"post":{"tags":["Security API: Users"],"summary":"Collects the list of user sessions that match specific criteria","operationId":"collectUserSessions","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserSessionModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserSessionModel"}}}}}}}}}}
```

## POST /api/security/users-sessions/count

> Counts the user sessions that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountUserSessions":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"sessionIsAuthenticated":{"type":"boolean","nullable":true},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time","nullable":true},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions/count":{"post":{"tags":["Security API: Users"],"summary":"Counts the user sessions that match specific criteria","operationId":"countUserSessions","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountUserSessions"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountUserSessions"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountUserSessions"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountUserSessions"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/security/users-sessions/download

> Downloads the list of user sessions that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectUserSessions":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"sessionIsAuthenticated":{"type":"boolean","nullable":true},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time","nullable":true},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions/download":{"post":{"tags":["Security API: Users"],"summary":"Downloads the list of user sessions that match specific criteria","operationId":"downloadUserSessions","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectUserSessions"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/security/users-sessions/search

> Searches for the list of user sessions that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchUserSessions":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"sessionIsAuthenticated":{"type":"boolean","nullable":true},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time","nullable":true},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"UserSessionMatch":{"type":"object","properties":{"sessionId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions/search":{"post":{"tags":["Security API: Users"],"summary":"Searches for the list of user sessions that match specific criteria","operationId":"searchUserSessions","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchUserSessions"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchUserSessions"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchUserSessions"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchUserSessions"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserSessionMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserSessionMatch"}}}}}}}}}}
```

## POST /api/security/users-sessions

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateUserSession":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"sessionIsAuthenticated":{"type":"boolean"},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time"},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"UserSessionModel":{"type":"object","properties":{"organizationId":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"sessionIsAuthenticated":{"type":"boolean"},"authenticationErrorMessage":{"type":"string","nullable":true},"authenticationErrorType":{"type":"string","nullable":true},"authenticationSource":{"type":"string","nullable":true},"sessionCode":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"userBrowser":{"type":"string","nullable":true},"userBrowserVersion":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"userHostAddress":{"type":"string","nullable":true},"userLanguage":{"type":"string","nullable":true},"sessionMinutes":{"type":"integer","format":"int32","nullable":true},"sessionStarted":{"type":"string","format":"date-time"},"sessionStopped":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ValidationFailure":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Problem"},"nullable":true}},"additionalProperties":false},"Problem":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/security/users-sessions":{"post":{"tags":["Security API: Users"],"operationId":"createUserSession","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateUserSession"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserSession"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateUserSession"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateUserSession"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSessionModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationFailure"}}}}}}}}}
```
